GET /feeds/subscriptions.{format}

cpy.re:peertube

Summary: List videos of subscriptions tied to a token
Operation ID: getSyndicatedSubscriptionVideos
Auth: unknown

Parameters (10)

accountId (string, query, required)

limit listing to a specific account

format (string, path, required)

format expected (we focus on making `rss` the most featureful ; it serves [Media RSS](https://www.rssboard.org/media-rss))

Constraints: {'enum': ['xml', 'rss', 'rss2', 'atom', 'atom1', 'json', 'json1']}

hasHLSFiles (boolean, query, optional)

**PeerTube >= 4.0** Display only videos that have HLS files

hasWebtorrentFiles (boolean, query, optional)

**PeerTube >= 4.0** Display only videos that have WebTorrent files

include (integer, query, optional)

**PeerTube >= 4.0** Include additional videos in results (can be combined using bitwise or operator) - `0` NONE - `1` NOT_PUBLISHED_STATE - `2` BLACKLISTED - `4` BLOCKED_OWNER - `8` FILES

Constraints: {'enum': [0, 1, 2, 4, 8]}

isLocal (boolean, query, optional)

**PeerTube >= 4.0** Display only local or remote videos

nsfw (string, query, optional)

whether to include nsfw videos, if any

Constraints: {'enum': ['true', 'false']}

privacyOneOf (?, query, optional)

**PeerTube >= 4.0** Display only videos in this specific privacy/privacies

sort (string, query, optional)

Sort column

token (string, query, required)

private token allowing access

No probe data for this endpoint yet.